# $Id: xml.py,v 1.3 2001/06/18 09:43:53 drozd Exp $
# Copyright (c) 2000,2001 Sergey Lyubka
#
# XML parsing code
#

import xmllib
import htmllib
import formatter

class CStripFormatter(formatter.NullFormatter):
    def __init__(self):
        formatter.NullFormatter.__init__(self)
        self.result = []

    def add_flowing_data(self, data): 
        self.result.append(data)

    def add_literal_data(self, data): 
        self.result.append(data)

    def bark(self):
        retval = "".join(self.result)
        self.result = []
        return retval



class CParser:
    '''
        XML parser class
    '''

    def __init__(self):

        # init HTML parser
        self.ph = htmllib.HTMLParser(CStripFormatter())




    def strip_html(self, data):
        '''
            strip HTML tags from data
        '''
        self.ph.feed(data)
        return self.ph.formatter.bark()

